[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#200425: marked as done (apt: segfault on ia64 with + as an option)

Your message dated Sun, 10 Aug 2003 20:17:08 -0400
with message-id <E19m0N2-0000xY-00@auric.debian.org>
and subject line Bug#200425: fixed in apt 0.5.9
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

Received: (at submit) by bugs.debian.org; 8 Jul 2003 06:14:55 +0000
>From matt@lackof.org Tue Jul 08 01:14:53 2003
Return-path: <matt@lackof.org>
Received: from c-67-160-66-7.client.comcast.net (cyrix.home.bogus) [] 
	by master.debian.org with esmtp (Exim 3.35 1 (Debian))
	id 19Zlkb-0003jI-00; Tue, 08 Jul 2003 01:14:53 -0500
Received: by cyrix.home.bogus (Postfix, from userid 22223)
	id 34272EF178; Mon,  7 Jul 2003 23:14:49 -0700 (PDT)
Received: from cyrix.home.bogus (localhost [])
	by cyrix.home.bogus (Postfix) with ESMTP id F3C60B35F1
	for <submit@bugs.debian.org>; Mon,  7 Jul 2003 23:14:49 -0700 (PDT)
X-Mailer: exmh version 2.5 07/13/2001 (debian 2.5-1) with nmh-1.1-RC1
From: Matt Taggart <taggart@debian.org>
To: submit@bugs.debian.org
Subject: apt: segfault on ia64 with + as an option
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Date: Mon, 07 Jul 2003 23:14:48 -0700
Sender: matt@lackof.org
Message-Id: <20030708061449.34272EF178@cyrix.home.bogus>
Delivered-To: submit@bugs.debian.org
X-Spam-Status: No, hits=-6.0 required=4.0
X-Spam-Checker-Version: SpamAssassin 2.53-bugs.debian.org_2003_06_27 (

Package: apt

On ia64 if I run apt with a + on the command line it segfaults,

   # apt-get install +
   Reading Package Lists... Done
   Building Dependency Tree... Done
   Segmentation fault

* It works on i386 and hppa. I haven't tested elsewhere.
* It doesn't seem to matter what apt operation(install, remove, etc)
* A + with a text prefix or suffix behaves properly giving an error of
  no such package
* Multiple +'s cause the same error
* Some other interesting test cases, note the errors. These behave
   identically on i386.

   # apt-get install +foo+
   Reading Package Lists... Done
   Building Dependency Tree... Done
   E: Couldn't find package +foo

   # apt-get install +foo+bar
   Reading Package Lists... Done
   Building Dependency Tree... Done
   E: Couldn't find package +foo+bar

   # apt-get install +foo+bar+
   Reading Package Lists... Done
   Building Dependency Tree... Done
   E: Couldn't find package +foo+bar

   # apt-get install foo+bar
   Reading Package Lists... Done
   Building Dependency Tree... Done
   E: Couldn't find package foo+bar

   # apt-get install foo+bar+
   Reading Package Lists... Done
   Building Dependency Tree... Done
   E: Couldn't find package foo+bar

* I tried under bash and zsh in case it was a shell thing, no difference
* I tried recompiling current apt source in an up to date unstable
  chroot and it didn't fix it.

In case you're wondering... I found this when I botched a cut and paste of
"g++" and only got "++" :)

Let me know if you need me to test anything.


Matt Taggart

Received: (at 200425-close) by bugs.debian.org; 11 Aug 2003 00:23:24 +0000
>From katie@auric.debian.org Sun Aug 10 19:23:24 2003
Return-path: <katie@auric.debian.org>
Received: from auric.debian.org [] 
	by master.debian.org with esmtp (Exim 3.35 1 (Debian))
	id 19m0T6-00035D-00; Sun, 10 Aug 2003 19:23:24 -0500
Received: from katie by auric.debian.org with local (Exim 3.35 1 (Debian))
	id 19m0N2-0000xY-00; Sun, 10 Aug 2003 20:17:08 -0400
From: Matt Zimmerman <mdz@debian.org>
To: 200425-close@bugs.debian.org
X-Katie: $Revision: 1.35 $
Subject: Bug#200425: fixed in apt 0.5.9
Message-Id: <E19m0N2-0000xY-00@auric.debian.org>
Sender: Archive Administrator <katie@auric.debian.org>
Date: Sun, 10 Aug 2003 20:17:08 -0400
Delivered-To: 200425-close@bugs.debian.org

We believe that the bug you reported is fixed in the latest version of
apt, which is due to be installed in the Debian FTP archive:

  to pool/main/a/apt/apt-doc_0.5.9_all.deb
  to pool/main/a/apt/apt-utils_0.5.9_i386.deb
  to pool/main/a/apt/apt_0.5.9.dsc
  to pool/main/a/apt/apt_0.5.9.tar.gz
  to pool/main/a/apt/apt_0.5.9_i386.deb
  to pool/main/a/apt/libapt-pkg-dev_0.5.9_i386.deb
  to pool/main/a/apt/libapt-pkg-doc_0.5.9_all.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 200425@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Matt Zimmerman <mdz@debian.org> (supplier of updated apt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.7
Date: Sun, 10 Aug 2003 19:54:39 -0400
Source: apt
Binary: apt-utils libapt-pkg-doc libapt-pkg-dev apt-doc apt
Architecture: source i386 all
Version: 0.5.9
Distribution: unstable
Urgency: low
Maintainer: APT Development Team <deity@lists.debian.org>
Changed-By: Matt Zimmerman <mdz@debian.org>
 apt        - Advanced front-end for dpkg
 apt-doc    - Documentation for APT
 apt-utils  - APT utility programs
 libapt-pkg-dev - Development files for APT's libapt-pkg and libapt-inst
 libapt-pkg-doc - Documentation for APT development
Closes: 146667 193430 194282 194558 194614 199425 200102 200395 200425 200953 202245 203295 203298 203418
 apt (0.5.9) unstable; urgency=low
   * Oh well, apt isn't going to make it into testing anytime soon due to
     new glibc and gcc deps, so we might as well fix more bugs
   * Fix typo in example ftp-archive.conf (Closes: #203295)
   * Mention default setting for --all-versions (Closes: #203298)
   * Patch from Otavio Salvador <otavio@debian.org> to have --version
     only print the version (and not usage as well) (Closes: #203418)
   * Patch from Otavio Salvador <otavio@debian.org> to switch from
     dh_installmanpages to dh_installman.  Fixes the problem where the
     pt_BR man page was installed in the wrong location (Closes: #194558)
   * Move the French apt-ftparchive man page into apt-utils where it
     belongs.  apt-utils Replaces: apt (<< 0.5.9)
   * Write records from "apt-cache show" using fwrite(3) rather than
     write(2), in case for some reason the entire record doesn't get
     written by a single write(2)
   * Add new French man pages to doc/fr/.cvsignore
   * Add freebsd to buildlib/ostable (Closes: #193430)
   * Avoid segfault if a package name is specified which consists
     entirely of characters which look like end tags ('+', '-')
     (Closes: #200425)
   * Patch from Otavio Salvador <otavio@debian.org> to avoid listing
     suggests/recommends for packages which are selected for installation
     at the same time as the package which suggests/recommends them
     (Closes: #200102)
   * Patch from Otavio Salvador <otavio@debian.org> to avoid listing
     suggests/recommends which are Provided by a package which is already
     installed (Closes: #200395)
   * Patch to update pt_BR man page for apt_preferences(5) from Andre Luis
     Lopes <andrelop@debian.org> (Closes: #202245)
   * Use nl_langinfo(YESEXPR) rather than comparing to the translated
     string "Y".  Closes: #200953 and should make the prompting generally
     more robust in the face of i18n.  In the particular case of #200953,
     it was being fooled because of signedness issues with toupper(3)
     (Closes: #194614)
   * apt Suggests: aptitude | synaptic | gnome-apt | wajig
     (Closes: #146667)
   * Clean up whitespace in translated strings in ru.po, which messed up
     indentation (some other translations probably have similar problems)
     (Closes: #194282)
   * Run ispell -h over the man page sources and fix a bunch of typos
   * Use debian/compat rather than DH_COMPAT
   * Update to debhelper compatibility level 3
     - remove ldconfig calls from debian/{postinst,postrm} as dh_makeshlibs
       will add them
     - echo 3 > debian/compat
     - Build-Depends: debhelper (>= 3)
   * Exclude '.#*' from cvs-build
   * Let the ftp method work with ftp servers which do not require a
     password (Closes: #199425)
   * Build-depend on debhelper >= 4.1.62, because we need the fix for
     #204731 in order for dh_installman to work correctly
     with our SGML man pages
   * Move dh_makeshlibs ahead of dh_installdeb so that its postinst
     fragments are properly substituted
 36cabe6fff19234d46ba957441f7ba4e 753 admin important apt_0.5.9.dsc
 952692708f8662a5c7bbf1551d109d35 880332 admin important apt_0.5.9.tar.gz
 e98e0cf3aaea15c32c6748d0c2e69436 63348 doc optional apt-doc_0.5.9_all.deb
 555b26d80859fb168a7c420b0f5fb085 94858 doc optional libapt-pkg-doc_0.5.9_all.deb
 035af16ba7f9145c5f75764699065864 713034 base important apt_0.5.9_i386.deb
 af529cf11f876a658fa78e50c2575e45 62190 libdevel optional libapt-pkg-dev_0.5.9_i386.deb
 7350c3be6264c17d2e3f99ab01c36aa5 160600 admin optional apt-utils_0.5.9_i386.deb

Version: GnuPG v1.2.2 (GNU/Linux)


Reply to: